DICE (DiceRIoTEmulator 1.0 API)
Date: 2017-11-08

com.microsoft.msr.DiceEmulator

## Class DICE

- java.lang.Object
- - com.microsoft.msr.DiceEmulator.DICE

-     public class DICE
      extends Object

  The DICE class is used to emulate DICE-enabled hardware. It is a dependency of the RIoT emulator. The RIoT emulator is used to create keys and certificates for identification and attestation of Azure IoT devices. The emulator can be used for developing solutions on platforms that do not have DiceEmulator hardware, or can be used to create a software-only asymmetric-key based device identity (with no hardware protection for the keys).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DICE()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `DiceSHA256(byte[] buf)` Hashing function for DICE emulation (SHA256)
    `static byte[]` | `DiceSHA256(byte[] buf1, byte[] buf2)` Hashing function for DICE emulation (SHA256)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DICE

          public DICE()

  - ### Method Detail

    - #### DiceSHA256

          public static byte[] DiceSHA256(byte[] buf)
                                   throws NoSuchAlgorithmException

      Hashing function for DICE emulation (SHA256)
      Parameters:
        `buf` - Byte buffer from which digest is computed
      Returns:
        Digest of 'buf'
      Throws:
        `NoSuchAlgorithmException` - When no "SHA-256"

    - #### DiceSHA256

          public static byte[] DiceSHA256(byte[] buf1,
                                          byte[] buf2)
                                   throws NoSuchAlgorithmException

      Hashing function for DICE emulation (SHA256)
      Parameters:
        `buf1` - First byte buffer to be included in digest
        `buf2` - Second byte buffer to be included in digest
      Returns:
        Digest of 'buf1' and 'buf2'
      Throws:
        `NoSuchAlgorithmException` - When no "SHA-256"

Copyright © 2017. All rights reserved.